Name:           taxipilot
Version:        0.9.2
Release:        2%{?dist}
Summary:        Game where you pilot a taxi in space
Group:          Amusements/Games
License:        GPLv2+
URL:            http://taxipilot.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:         taxipilot-0.9.1-desktop.patch
Patch2:         taxipilot-0.9.1-weaksym.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs-devel kdemultimedia-devel desktop-file-utils
Requires:       hicolor-icon-theme
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Game where you pilot a taxi in space, the objective is to pick up passengers
waiting on a number of platforms and to drop them where they want to go.
That's basically it.


%prep
%setup -q
%patch1 -p1 -b .desktop
%patch2 -p1 -b .weaksym


%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Games/%{name}.desktop
# alternatively we could manually install ext_wav_play_object.idl and
# ext_wav_play_object.h and add a -devel package, but its highly unlikely
# that anyone else would want to use this special dcop lib, so this is better
rm $RPM_BUILD_ROOT%{_libdir}/libEXT_wavpo.so


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO
%{_bindir}/%{name}
# .la file is included deliberately -> kde
%{_libdir}/libEXT_wavpo.*
%{_libdir}/mcop/EXT_WavPlayObject.mcopclass
%{_datadir}/apps/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/??color/*/apps/%{name}.png
%{_datadir}/doc/HTML/en/%{name}


%changelog
* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.2-2
- Update License tag for new Licensing Guidelines compliance

* Sun Jun  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.2-1
- New upstream release 0.9.2

* Thu Apr 26 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-2
- Ship all relevant docs including COPYING
- Link libEXT_wavpo.so with additional libs to fix unresolved non weak syms

* Tue Apr 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-1
- Initial Fedora Extras package
